<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.basicData.mapper.XcrOtherInfo39Mapper">

    <resultMap type="XcrOtherInfo39" id="XcrOtherInfo39Result">
            <result property="xhCodeId"    column="xh_code_id"    />
            <result property="id"    column="id"    />
            <result property="entityName"    column="entity_name"    />
            <result property="entityCode"    column="entity_code"    />
            <result property="entityCodeAdd"    column="entity_code_add"    />
            <result property="entityType"    column="entity_type"    />
            <result property="inventoryId"    column="inventory_id"    />
            <result property="inventorySourceId"    column="inventory_source_id"    />
            <result property="metaId"    column="meta_id"    />
            <result property="status"    column="status"    />
            <result property="isDel"    column="is_del"    />
            <result property="depId"    column="dep_id"    />
            <result property="orgId"    column="org_id"    />
            <result property="batchNo"    column="batch_no"    />
            <result property="createUser"    column="create_user"    />
            <result property="updateUser"    column="update_user"    />
            <result property="createTime"    column="create_time"    />
            <result property="updateTime"    column="update_time"    />
            <result property="dataCode"    column="data_code"    />
            <result property="TABLENAME"    column="TABLENAME"    />
            <result property="PRINCIPAL"    column="PRINCIPAL"    />
            <result property="ADDRESS"    column="ADDRESS"    />
            <result property="managementContent"    column="MANAGEMENT_CONTENT"    />
            <result property="managementRight"    column="MANAGEMENT_RIGHT"    />
            <result property="propertyRight"    column="PROPERTY_RIGHT"    />
            <result property="TABLECODE"    column="TABLECODE"    />
            <result property="reportState"    column="report_state"    />
            <result property="documentType"    column="Document_Type"    />
            <result property="businessType"    column="Business_Type"    />
            <result property="landInformation"    column="Land_Information"    />
            <result property="breedingType"    column="Breeding_Type"    />
            <result property="breedingScale"    column="Breeding_Scale"    />
            <result property="Remark"    column="Remark"    />
            <result property="Areacode"    column="Areacode"    />
            <result property="uniCode"    column="uni_code"    />
    </resultMap>
</mapper>